org.eclipse.ecf.core.security

## Class ConnectContextFactory

- java.lang.Object
- - org.eclipse.ecf.core.security.ConnectContextFactory

    public class ConnectContextFactory
    extends Object

Helper class for creating instances of IConnectContext

### Method Summary

All Methods Static Methods Concrete Methods
`static IConnectContext` `createPasswordConnectContext(String password)` Create password connect context, where password is represented as a String
`static IConnectContext` `createUsernamePasswordConnectContext(String username, Object password)` Create username and password connect context, where username is represented as a String and password as an Object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createUsernamePasswordConnectContext

    public static IConnectContext createUsernamePasswordConnectContext(String username,
                                                                       Object password)

Create username and password connect context, where username is represented as a String and password as an Object.

Parameters:
  `username` - the username
  `password` - the password
Returns:
  IConnectContext for accessing the username and password

#### createPasswordConnectContext

    public static IConnectContext createPasswordConnectContext(String password)

Create password connect context, where password is represented as a String

Parameters:
  `password` - the password to use
Returns:
  IConnectContext for accessing the given password